Search Discussions:
Showing results for 
Search instead for 
Do you mean 
Advanced Search...
Welcome to Nokia Support Discussions! Here you can share advice and tips with thousands of other Nokia users around the world in English. Many Nokia employees also follow and participate in the discussions, see our guidelines for more information. Everyone can search and read the discussions, but to post your own question or reply to others, simply sign in with your Nokia account. If this is your first time here, you can choose an alias to represent you. And if you don't have a Nokia account yet, please register.
Reply

Downgrade firmware?

Advisor
cedricgodart
Posts: 11

Downgrade firmware?

 

I've received a press unit with PR 1.2 (30.2011.43-5_PR_001) installed on it. I'm trying to find a way to downgrade to 1.0 or 1.1 since there are various annoying problems like apps that can't install because the store "cannont trace the dependencies" (Internet Radio, Spotify, GPodder, etc.). Random reboots as well. 

 

Can anyone help me find a way to downgrade? :smileyhappy:

 

Thanks!

 

-- Ced
Please use plain text.
Mobile Guru
Posts: 3,500

Re: Downgrade firmware?

It is extremely unlikely you will be able to revert to an older version of the firmware. The OS itself will not have the ability to self downgrade and further to this, the only tool available that can flash the n9 does not permit you to downgrade the firmware, you can only re-install or upgrade.

On the N900 it was extremely problematic to install older firmware. Various pieces of hardware would fail to work, such as the GSM hardware and the wifi interface. Downgrading is never a good idea, I'm afraid. I think you're stuck with PR1.1
Please use plain text.
Advisor
cedricgodart
Posts: 11

Re: Downgrade firmware?

Stuck with a dev PR 1.2 actually. But i will wait :-)

Thank you for that clear explanation.

If only I could get rid ot these error messages (unable to trace dependencies) when I try to install apps... :-)

 

-- Ced
Please use plain text.
Mobile Guru
Posts: 3,500

Re: Downgrade firmware?

OMG I would ask from where you got a pre-1.2 release, I'd love to poke around inside.. Are you running on an N9 or an N950? Either way, jealous!

I have a dependency tracker tool for the N900 that might be able to help. I'd been planning to port it to the N9, but development was proving hard without a device (I had my N9 for less than a week before I had to return it.. hardware fault apparently)

If you're unafraid of the xterm app, you can try using the debug script:

If you can download http://chris.intrepid.cx/N900/debug.sh you can try running this on your device

sh debug.sh upload

It'll take about 25 mins to complete

Please use plain text.
Mobile Sensei
ceroberts75
Posts: 5,030

Re: Downgrade firmware?

If you have that firmware, you're ahead of the game.

You cannot flash backwards.you will have issues and brick your device making you ultimately have to flash back to the pr1.2 anyway which means you'll be stuck with a bricked device until the rest of us get it.

It should give you an option to include the download of the dependencies. You may need to enable the developer mode and also slow the installation of 3rd party apps that are not from the OVI store.
Kudos are the STAR Below to the RIGHT, Solution is Below to the RIGHT
Please use plain text.
Advisor
cedricgodart
Posts: 11

Re: Downgrade firmware?

[ Edited ]

Waow! Thank you for your reply!

 

I got a press unit through Nokia and it was pre-equipped with PR 1.2.

 

I can help you test the tool.

 

Moderator's note: Personal information removed from post. Please don't post your personal information on the Discussion Boards.

 

-- Ced
Please use plain text.
Advisor
cedricgodart
Posts: 11

Re: Downgrade firmware?

BTW i cannot enable development mode. It says "can't install: installation package not found" 

-- Ced
Please use plain text.